Python
# To use the Python SDK, install the package:
# pip install memobase
from memobase import MemoBaseClient
client = MemoBaseClient(project_url='PROJECT_URL', api_key='PROJECT_TOKEN')
client.update_user(uid, {"ANY": "NEW_DATA"})// To use the JavaScript SDK, install the package:
// npm install @memobase/memobase
import { MemoBaseClient } from '@memobase/memobase';
const client = new MemoBaseClient(process.env.MEMOBASE_PROJECT_URL, process.env.MEMOBASE_API_KEY);
await client.updateUser(userId, {ANY: "NEW_DATA"});
// To use the Go SDK, install the package:
// go get github.com/memodb-io/memobase/src/client/memobase-go@latest
import (
"fmt"
"log"
"github.com/memodb-io/memobase/src/client/memobase-go/core"
)
func main() {
projectURL := "YOUR_PROJECT_URL"
apiKey := "YOUR_API_KEY"
// Initialize the client
client, err := core.NewMemoBaseClient(
projectURL,
apiKey,
)
if err != nil {
log.Fatalf("Failed to create client: %v", err)
}
// Update a user
userID := "EXISTING_USER_ID" // Replace with an actual user ID
newData := map[string]interface{}{"ANY": "NEW_DATA"}
_, err = client.UpdateUser(userID, newData)
if err != nil {
log.Fatalf("Failed to update user: %v", err)
}
fmt.Printf("Successfully updated user with ID: %s
", userID)
}
curl --request PUT \
--url https://api.memobase.dev/api/v1/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
{
"data": {
"id": "<string>"
},
"errno": 0,
"errmsg": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Manage Users
Update User
PUT
/
api
/
v1
/
users
/
{user_id}
Python
# To use the Python SDK, install the package:
# pip install memobase
from memobase import MemoBaseClient
client = MemoBaseClient(project_url='PROJECT_URL', api_key='PROJECT_TOKEN')
client.update_user(uid, {"ANY": "NEW_DATA"})// To use the JavaScript SDK, install the package:
// npm install @memobase/memobase
import { MemoBaseClient } from '@memobase/memobase';
const client = new MemoBaseClient(process.env.MEMOBASE_PROJECT_URL, process.env.MEMOBASE_API_KEY);
await client.updateUser(userId, {ANY: "NEW_DATA"});
// To use the Go SDK, install the package:
// go get github.com/memodb-io/memobase/src/client/memobase-go@latest
import (
"fmt"
"log"
"github.com/memodb-io/memobase/src/client/memobase-go/core"
)
func main() {
projectURL := "YOUR_PROJECT_URL"
apiKey := "YOUR_API_KEY"
// Initialize the client
client, err := core.NewMemoBaseClient(
projectURL,
apiKey,
)
if err != nil {
log.Fatalf("Failed to create client: %v", err)
}
// Update a user
userID := "EXISTING_USER_ID" // Replace with an actual user ID
newData := map[string]interface{}{"ANY": "NEW_DATA"}
_, err = client.UpdateUser(userID, newData)
if err != nil {
log.Fatalf("Failed to update user: %v", err)
}
fmt.Printf("Successfully updated user with ID: %s
", userID)
}
Update an existing user’s data. This endpoint allows you to modify user-specific information and settings.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the user to update
Body
application/json
Updated user data
Response
Successful Response
⌘I